import { AbstractLogger } from "../logging/AbstractLogger";
import { ClaireApp } from "../system/ClaireApp";
export interface ISetConfigurations<C, E> {
    setConfiguration(environment: string, configurationResolver?: Promise<C>): ISetLogger<C, E>;
}
export interface ISetLogger<C, E> {
    setLogger(loggerResolver: (config: C) => AbstractLogger): E;
}
export declare abstract class ClaireAppBuilderTerminal<C, A extends ClaireApp<C>> {
    environment?: string;
    configurationResolver?: Promise<C>;
    loggerResolver: (config: C) => AbstractLogger;
    abstract build(): A;
}
export declare abstract class ClaireAppBuilder<C, A extends ClaireApp<C>, E, K extends ClaireAppBuilderTerminal<C, A> & E> implements ISetConfigurations<C, E>, ISetLogger<C, E> {
    protected builderTerminal: K;
    constructor(builderTerminal: K);
    setConfiguration(environment: string, configurationResolver: Promise<C>): ISetLogger<C, E>;
    setLogger(loggerResolver: (config: C) => AbstractLogger): E;
}
//# sourceMappingURL=ClaireAppBuilder.d.ts.map