export declare enum AccessConditionValueType {
    /**
     * Any string value. Constraint is a regex.
     */
    STRING = 0,
    /**
     * Numerical value. Constraint is {from: number, to: number, integer: boolean} encoded into string.
     */
    NUMBER = 1,
    /**
     * Yes or No. No constraint.
     */
    BOOLEAN = 2,
    /**
     * An unlimited list of string values. Constraint is whether emptiness is allowed.
     */
    LIST = 3,
    /**
     * A list of choices. Constraint is the list of choices.
     */
    CHOICES = 4,
    /**
     * A list of mutual exclusive choices. Constraint is the list of choices.
     */
    MUTEXCHOICES = 5
}
//# sourceMappingURL=AccessConditionValueType.d.ts.map